- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SpeexHeader Struct Reference

`#include <speex_header.h>`

List of all members.

## Public Attributes
char | speex_string [SPEEX_HEADER_STRING_LENGTH]
char | speex_version [SPEEX_HEADER_VERSION_LENGTH]
spx_int32_t | speex_version_id
spx_int32_t | header_size
spx_int32_t | rate
spx_int32_t | mode
spx_int32_t | mode_bitstream_version
spx_int32_t | nb_channels
spx_int32_t | bitrate
spx_int32_t | frame_size
spx_int32_t | vbr
spx_int32_t | frames_per_packet
spx_int32_t | extra_headers
spx_int32_t | reserved1
spx_int32_t | reserved2

## Detailed Description

Speex header info for file-based formats

## Member Data Documentation

char SpeexHeader::speex_string[SPEEX_HEADER_STRING_LENGTH]

Identifies a Speex bit-stream, always set to "Speex "

char SpeexHeader::speex_version[SPEEX_HEADER_VERSION_LENGTH]

Speex version

spx_int32_t SpeexHeader::speex_version_id

Version for Speex (for checking compatibility)

spx_int32_t SpeexHeader::header_size

Total size of the header ( sizeof(SpeexHeader) )

spx_int32_t SpeexHeader::rate

Sampling rate used

spx_int32_t SpeexHeader::mode

Mode used (0 for narrowband, 1 for wideband)

spx_int32_t SpeexHeader::mode_bitstream_version

Version ID of the bit-stream

spx_int32_t SpeexHeader::nb_channels

Number of channels encoded

spx_int32_t SpeexHeader::bitrate

Bit-rate used

spx_int32_t SpeexHeader::frame_size

Size of frames

spx_int32_t SpeexHeader::vbr

1 for a VBR encoding, 0 otherwise

spx_int32_t SpeexHeader::frames_per_packet

Number of frames stored per Ogg packet

spx_int32_t SpeexHeader::extra_headers

Number of additional headers after the comments

spx_int32_t SpeexHeader::reserved1

Reserved for future use, must be zero

spx_int32_t SpeexHeader::reserved2

Reserved for future use, must be zero

The documentation for this struct was generated from the following file:

- C:/RakNet/DependentExtensions/speex-1.1.12/include/speex/speex_header.h